@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&family=Sriracha&display=swap');


html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    opacity: 1;
    transition: opacity 0.5s ease-in-out;
    background: rgb(251, 255, 255);
}

.fade-out
{
    opacity: 0;
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

@media (max-width: 768px)
{
    .content
    {
        margin-top: 40px;
        height: calc(100vh - 40px);
    }
}

::selection
{
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
}

.container
{
    height: 100%;
    overflow-y: auto;
}


/*         #region Main panel         */

.main-panel
{
    display: flex;
    flex-direction: column;
    justify-content:start;
    align-items: center;
    margin-left: 95px;
    height: auto;
    transition: margin-left 0.3s;
    overflow-x: hidden;
    height: calc(100vh - 80px);
}

.contact-panel
{
    box-sizing: border-box;
    padding: 20px 30px;
    width: 95%;
    height: auto;
    border-radius: 20px;
    background-color: rgba(9, 39, 65, 0.144);
    font-size: 1.2em;
    word-break: break-word;
    overflow-wrap: break-word;
    word-wrap: break-word;
}


select
{
    margin-left: 20px;
    border-radius: 100px;
    width: auto;
    padding: 5px 45px 5px 20px;
    font-size: 1.1em;
    font-weight: 600;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 2px solid rgba(0, 0, 0, 0.247);
    transition: 0.3s;
    outline: none;
}
select::-ms-expand
{
    display: none;
}
select:hover
{
    border: 2px solid black;
}
select option:hover
{
    background-color: #00000070;
}


textarea
{
    background-color: #ffffffde;
    border: 1px solid #28414e48;
    padding: 10px;
    border-radius: 15px;
    transition: border-color 0.3s;
    font-size: 120%;
    width: 95%;
    padding-left: 15px;
    transition: 0.4s;
    outline: none;
    resize: none;
    overflow-wrap: break-word;
    font-size: 1.2em;
    font-family: Arial, sans-serif;
}
textarea:hover
{
    background-color: #ffffff;
}
textarea:focus::placeholder
{
    color: transparent;
}
textarea::placeholder
{
    color: #222;
    transition: color 0.5s ease;
}


.contact-panel .SendMessage
{
    height: fit-content;
    padding: 10px 25px;
    margin-top: 10px;
    right: 0;
    border: none;
    border-radius: 50px;
    background-color: #037ffc;
    font-weight: 600;
    font-size: 1.03em;
    color: white;
    transition: 0.2s;
    cursor: pointer;
}
.contact-panel .SendMessage:hover
{
    background-color: #0060bf;
    transition: 0.4s;
}

.contact-panel .log-in
{
    height: fit-content;
    padding: 10px 25px;
    margin-top: 10px;
    right: 0;
    border: none;
    border-radius: 50px;
    font-weight: 600;
    font-size: 1.03em;
    color: white;
    transition: 0.2s;
    cursor: pointer;
    background-color: #9c9c9c;
}
.contact-panel .log-in:hover
{
    background-color: #686868;
}
.contact-panel .log-in:active
{
    background-color: #444444;
}


@media (max-width: 768px)
{
    .main-panel
    {
        height: calc(100vh - 40px);
        width: 100%;
        margin-left: 0px;
        transition: margin-left 0.3s;
    }
}

/* #endregion */

